> ## Documentation Index
> Fetch the complete documentation index at: https://www.activepieces.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Global Connection



## OpenAPI

````yaml POST /v1/global-connections/{id}
openapi: 3.1.0
info:
  title: Activepieces Documentation
  version: 0.0.0
servers:
  - url: https://cloud.activepieces.com/api
    description: Production Server
security: []
externalDocs:
  url: https://www.activepieces.com/docs
  description: Find more info here
paths:
  /v1/global-connections/{id}:
    post:
      tags:
        - global-connections
      parameters:
        - schema:
            type: string
            pattern: ^[0-9a-zA-Z]{21}$
          in: path
          name: id
          required: true
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                displayName:
                  type: string
                  minLength: 1
                projectIds:
                  type: array
                  items:
                    type: string
                metadata:
                  type: object
                  propertyNames:
                    type: string
                  additionalProperties: {}
                preSelectForNewProjects:
                  type: boolean
              required:
                - displayName
        required: true
      responses:
        '200':
          description: Default Response
      security:
        - apiKey: []
components:
  securitySchemes:
    apiKey:
      type: http
      description: Use your api key generated from the admin console
      scheme: bearer

````